$blue: #45c8e4;
$darker-blue: #00b4cc;
$basic-grey: #ddd;
$placeholder-grey: #8f91ac;
$secondary: #584b3a93;

.container {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  flex-wrap: wrap;
}

.column {
  margin: 2rem;
  display: flex;
  flex-direction: column;
  width: 40%;

  input {
    width: 100%;
    margin: 1rem;
  }
}

.search {
  display: flex;
  position: relative;
  width: 100%;

  input {
    margin-right: 0;
    margin-bottom: 0;
    width: 100%;
    border: 0px solid;
    border-bottom: 2px solid $basic-grey;
    padding: 5px;
    height: 20px;
    outline: none;
    box-shadow: -1px -1px 1px $basic-grey;
    transition: all 0.25s ease;
  }

  input::placeholder {
    color: $placeholder-grey;
    opacity: 1;
  }

  input:focus {
    color: $darker-blue;
    border-bottom: 3px solid $blue;
    box-shadow: -3px -3px 1px #ddd;
  }

  button {
    height: 2rem;
    margin: 0;
    border: 0px solid $darker-blue;
    background: $darker-blue;
    text-align: center;
    color: white;
    cursor: pointer;
    box-shadow: -1px -2px 1px $basic-grey;
    font-size: 20px;
    align-self: flex-end;
    transition: all 0.25s ease;
  }

  button:hover {
    color: #36424d;
    background-color: $basic-grey;
    box-shadow: 0px -1px 1px $basic-grey;
  }

  input:focus + button {
    box-shadow: -2px -4px 1px $basic-grey;
  }

  &.disabled {
    input {
      background-color: #f3f7f7;
      pointer-events: none;
    }
    input:focus {
      border-bottom: 2px solid $basic-grey;
      box-shadow: -1px -1px 1px $basic-grey;
    }

    button {
      background-color: $basic-grey;
      color: #36424d;
      cursor: default;
    }

    button:hover {
      box-shadow: -1px -2px 0px $basic-grey;
    }

    input:focus + button {
      box-shadow: -1px -2px 1px $basic-grey;
    }
  }
}

.blastSearch {
  margin: 1rem;

  textarea {
    word-wrap: break-word;
    word-break: break-all;
    resize: none;
    width: 100%;
    border: 0px solid $darker-blue;
    border-bottom: 2px solid $basic-grey;
    padding: 5px;
    outline: none;
    box-shadow: 0px 0px 5px $basic-grey;
    transition: all 0.25s ease;
  }

  textarea::placeholder {
    color: $placeholder-grey;
    opacity: 1;
  }

  textarea:focus {
    color: $darker-blue;
    border-bottom: 3px solid $blue;
    box-shadow: 0px 0px 20px $basic-grey;
  }

  button {
    height: auto;
    border: 0px solid $darker-blue;
    background: $darker-blue;
    text-align: center;
    color: white;
    margin: 10px 0px;
    cursor: pointer;
    box-shadow: -1px -2px 1px $basic-grey;
    font-size: 16px;
    padding: 0.5em;
    align-self: center;
    transition: all 0.25s ease;
  }

  button:hover {
    color: #36424d;
    background-color: $basic-grey;
    box-shadow: 0px -1px 1px $basic-grey;
  }

  .secondary {
    font-size: 16px;
    margin: 1rem 0rem;
    background: #817b7393;
    box-shadow: 0px 0px 1px $basic-grey;
  }

  .secondary:hover {
    background: #584b3a93;
    color: white;
    box-shadow: 0px 0px 10px $basic-grey;
  }
}

.blastSearchError {
  @extend .blastSearch;

  textarea {
    box-shadow: 0px 0px 15px #e71010d5;
  }

  p {
    margin: 1em;
    color: #e71010d5;
  }
}

.description {
  margin: 2em;
  padding: 1em;
  border: 1px solid $darker-blue;
  box-shadow: 0 2px 5px $basic-grey;
}

.line {
  margin-left: 1.4rem;
  margin-bottom: 1em;
  border-left: 2px solid $basic-grey;
  border-bottom: 2px solid $basic-grey;
  width: 2em;
  height: 1em;
}

.example {
  display: inline-flex;

  .eg {
    color: $placeholder-grey;
    margin: 0.6em 0.5em;
    font-size: 0.9em;

    a {
      cursor: pointer;
      text-decoration: underline;
      color: $darker-blue;
    }
  }
}

.marginBottom {
  margin-bottom: 1em;
}
